#
# spec file for package nodejs-ctype
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_name ctype

Name:           nodejs-ctype
Version:        0.5.3
Release:        14.1
Summary:        Read and write binary structures and data types
License:        MIT
Group:          Development/Languages/Other
Url:            https://github.com/rmustacc/node-ctype
Source:         http://registry.npmjs.org/%{base_name}/-/%{base_name}-%{version}.tgz
BuildRequires:  nodejs-packaging
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%nodejs_find_provides_and_requires

%description
Node-CType is a way to read and write binary data in structured
and easy to use format.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_modulesdir}/%{base_name}
cp -pr package.json *.js tools \
        %{buildroot}%{nodejs_modulesdir}/%{base_name}/
mkdir -p %{buildroot}%{_mandir}/man3
install -m 644 man/man3ctype/ctio.3ctype %{buildroot}%{_mandir}/man3/ctio.3

%files
%defattr(-,root,root,-)
%doc README* LICENSE CHANGELOG
%{nodejs_modulesdir}/%{base_name}
%{_mandir}/man3/ctio.3.gz

%changelog
* Fri Jul  3 2015 i@marguerite.su
- update version 0.5.3
* Sat Apr  4 2015 dmueller@suse.com
- enable building for all arches
* Fri Oct 24 2014 jgleissner@suse.com
- downgrade to 0.5.2 to match dependency of 'nodejs-http-signature'
- install man page into %%_mandir
* Thu Oct  9 2014 jgleissner@suse.com
- use nodejs-packaging for building
* Mon Sep 22 2014 i@marguerite.su
- initial version 0.5.3
